package frc.robot.subsystems;


import java.util.function.DoubleSupplier;

import com.ctre.phoenix.motorcontrol.can.WPI_VictorSPX;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.ShooterConstants;

public class Shooter extends SubsystemBase{
    private WPI_VictorSPX motor1;
    private WPI_VictorSPX motor2; 

    public Shooter() {
        motor1 = new WPI_VictorSPX(ShooterConstants.K1MotorPWM);
        motor2 = new WPI_VictorSPX(ShooterConstants.K2MotorPWM);
    
        motor1.follow(motor2); 
    }
    public Command setSpeed(DoubleSupplier speed) {
        //sets the motors speed
        return run(() -> {
            motor1.set(speed.getAsDouble());
        });    
    }
    public Command stop() {
        //stops the motors
        return setSpeed(() -> 0);
    }
} 
